Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_RC2_MAC_GENERAL_PARAMS

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_RC2_MAC_GENERAL_PARAMS

public class CK_RC2_MAC_GENERAL_PARAMS
extends java.lang.Object

class CK_RC2_MAC_GENERAL_PARAMS provides the parameters to the CKM_RC2_MAC_GENERAL mechanism.

PKCS#11 structure:

     typedef struct CK_RC2_MAC_GENERAL_PARAMS {
       CK_ULONG ulEffectiveBits;
       CK_ULONG ulMacLength;
     } CK_RC2_MAC_GENERAL_PARAMS;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`long` | `ulEffectiveBits` PKCS#11:
`long` | `ulMacLength` PKCS#11:

Constructor Summary
`CK_RC2_MAC_GENERAL_PARAMS()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_RC2_MAC_GENERAL_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ulEffectiveBits

    public long ulEffectiveBits

  PKCS#11:

         CK_ULONG ulEffectiveBits;

### ulMacLength

    public long ulMacLength

  PKCS#11:

         CK_ULONG ulMacLength;

Constructor Detail

### CK_RC2_MAC_GENERAL_PARAMS

    public CK_RC2_MAC_GENERAL_PARAMS()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_RC2_MAC_GENERAL_PARAMS.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_RC2_MAC_GENERAL_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18